import { Row } from '@tanstack/react-table';
import { HTMLAttributes } from 'react';
import { EdsDataGridProps } from '../EdsDataGridProps';
type Props<T> = {
    row: Row<T>;
    onCellClick?: EdsDataGridProps<T>['onCellClick'];
} & HTMLAttributes<HTMLTableRowElement>;
export declare function TableRow<T>({ row, onCellClick, onClick, onDoubleClick, onContextMenu, }: Props<T>): import("react/jsx-runtime").JSX.Element;
export {};
